View Javadoc

    1   //
    2   // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
    3   // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
    4   // Any modifications to this file will be lost upon recompilation of the source schema.
    5   // Generated on: 2012.11.09 at 12:33:57 PM EST
    6   //
    7
    8
    9   package org.owasp.dependencycheck.jaxb.pom.generated;
    10
    11  import javax.annotation.Generated;
    12  import javax.xml.bind.annotation.XmlAccessType;
    13  import javax.xml.bind.annotation.XmlAccessorType;
    14  import javax.xml.bind.annotation.XmlElement;
    15  import javax.xml.bind.annotation.XmlType;
    16
    17
    18  /**
    19   *
    20   *         The conditions within the build runtime environment which will trigger
    21   *         the automatic inclusion of the build profile.
    22   *
    23   *
    24   * <p>Java class for Activation complex type.
    25   *
    26   * <p>The following schema fragment specifies the expected content contained within this class.
    27   *
    28   * <pre>
    29   * &lt;complexType name="Activation">
    30   *   &lt;complexContent>
    31   *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
    32   *       &lt;all>
    33   *         &lt;element name="activeByDefault" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
    34   *         &lt;element name="jdk" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    35   *         &lt;element name="os" type="{http://maven.apache.org/POM/4.0.0}ActivationOS" minOccurs="0"/>
    36   *         &lt;element name="property" type="{http://maven.apache.org/POM/4.0.0}ActivationProperty" minOccurs="0"/>
    37   *         &lt;element name="file" type="{http://maven.apache.org/POM/4.0.0}ActivationFile" minOccurs="0"/>
    38   *       &lt;/all>
    39   *     &lt;/restriction>
    40   *   &lt;/complexContent>
    41   * &lt;/complexType>
    42   * </pre>
    43   *
    44   *
    45   */
    46  @XmlAccessorType(XmlAccessType.FIELD)
    47  @XmlType(name = "Activation", propOrder = {
    48
    49  })
    50  @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    51  public class Activation {
    52
    53      @XmlElement(defaultValue = "false")
    54      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    55      protected Boolean activeByDefault;
    56      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    57      protected String jdk;
    58      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    59      protected ActivationOS os;
    60      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    61      protected ActivationProperty property;
    62      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    63      protected ActivationFile file;
    64
    65      /**
    66       * Gets the value of the activeByDefault property.
    67       *
    68       * @return
    69       *     possible object is
    70       *     {@link Boolean }
    71       *
    72       */
    73      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    74      public Boolean isActiveByDefault() {
    75          return activeByDefault;
    76      }
    77
    78      /**
    79       * Sets the value of the activeByDefault property.
    80       *
    81       * @param value
    82       *     allowed object is
    83       *     {@link Boolean }
    84       *
    85       */
    86      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    87      public void setActiveByDefault(Boolean value) {
    88          this.activeByDefault = value;
    89      }
    90
    91      /**
    92       * Gets the value of the jdk property.
    93       *
    94       * @return
    95       *     possible object is
    96       *     {@link String }
    97       *
    98       */
    99      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    100     public String getJdk() {
    101         return jdk;
    102     }
    103
    104     /**
    105      * Sets the value of the jdk property.
    106      *
    107      * @param value
    108      *     allowed object is
    109      *     {@link String }
    110      *
    111      */
    112     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    113     public void setJdk(String value) {
    114         this.jdk = value;
    115     }
    116
    117     /**
    118      * Gets the value of the os property.
    119      *
    120      * @return
    121      *     possible object is
    122      *     {@link ActivationOS }
    123      *
    124      */
    125     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    126     public ActivationOS getOs() {
    127         return os;
    128     }
    129
    130     /**
    131      * Sets the value of the os property.
    132      *
    133      * @param value
    134      *     allowed object is
    135      *     {@link ActivationOS }
    136      *
    137      */
    138     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    139     public void setOs(ActivationOS value) {
    140         this.os = value;
    141     }
    142
    143     /**
    144      * Gets the value of the property property.
    145      *
    146      * @return
    147      *     possible object is
    148      *     {@link ActivationProperty }
    149      *
    150      */
    151     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    152     public ActivationProperty getProperty() {
    153         return property;
    154     }
    155
    156     /**
    157      * Sets the value of the property property.
    158      *
    159      * @param value
    160      *     allowed object is
    161      *     {@link ActivationProperty }
    162      *
    163      */
    164     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    165     public void setProperty(ActivationProperty value) {
    166         this.property = value;
    167     }
    168
    169     /**
    170      * Gets the value of the file property.
    171      *
    172      * @return
    173      *     possible object is
    174      *     {@link ActivationFile }
    175      *
    176      */
    177     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    178     public ActivationFile getFile() {
    179         return file;
    180     }
    181
    182     /**
    183      * Sets the value of the file property.
    184      *
    185      * @param value
    186      *     allowed object is
    187      *     {@link ActivationFile }
    188      *
    189      */
    190     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    191     public void setFile(ActivationFile value) {
    192         this.file = value;
    193     }
    194
    195 }